package com.qmth.qrzk.batch.model;


import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.qmth.qrzk.paper.model.Paper;

/**
 * 用于批次下处理试卷状态的试图模型
 * @author zhengmin
 *
 */
@Entity
@Table(name="qr_paper_paper_batch")
@IdClass(BatchPaperPK.class)
public class PaperStateView {

	@Id private Integer batchId;
	@Id private long paperId;
	
	@ManyToOne(cascade=CascadeType.REFRESH)
	@JoinColumn(name="paper_id",updatable=false,insertable=false)
	private Paper paper;
	
	@Column(name="is_storage_scanned")
	private Boolean isStorageScanned; //是否入库扫描
	
	@Column(name="is_outbound_scanned")
	private Boolean isOutboundScanned; //是否出库扫描
	
	@Column(name="is_paper_return")
	private Boolean isPaperReturn;//是否试卷回库
	
	@Column(name="is_standard_answer_return")
	private Boolean isStandardAnswerRetrun; //标答回库
	
	@Column(name="is_answer_sheet_return")
	private Boolean isAnswerSheetReturn;//题卡回库
	
	@Column(name="is_separate_paper_return")
	private Boolean isSeparatePaperReturn; //分卷回库
	
	private String remark;

	public Integer getBatchId() {
		return batchId;
	}

	public void setBatchId(Integer batchId) {
		this.batchId = batchId;
	}

	public long getPaperId() {
		return paperId;
	}

	public void setPaperId(long paperId) {
		this.paperId = paperId;
	}

	public Paper getPaper() {
		return paper;
	}

	public void setPaper(Paper paper) {
		this.paper = paper;
	}

	public Boolean getIsStorageScanned() {
		return isStorageScanned;
	}

	public void setIsStorageScanned(Boolean isStorageScanned) {
		this.isStorageScanned = isStorageScanned;
	}

	public Boolean getIsOutboundScanned() {
		return isOutboundScanned;
	}

	public void setIsOutboundScanned(Boolean isOutboundScanned) {
		this.isOutboundScanned = isOutboundScanned;
	}

	public Boolean getIsPaperReturn() {
		return isPaperReturn;
	}

	public void setIsPaperReturn(Boolean isPaperReturn) {
		this.isPaperReturn = isPaperReturn;
	}

	public Boolean getIsStandardAnswerRetrun() {
		return isStandardAnswerRetrun;
	}

	public void setIsStandardAnswerRetrun(Boolean isStandardAnswerRetrun) {
		this.isStandardAnswerRetrun = isStandardAnswerRetrun;
	}

	public Boolean getIsAnswerSheetReturn() {
		return isAnswerSheetReturn;
	}

	public void setIsAnswerSheetReturn(Boolean isAnswerSheetReturn) {
		this.isAnswerSheetReturn = isAnswerSheetReturn;
	}

	public Boolean getIsSeparatePaperReturn() {
		return isSeparatePaperReturn;
	}

	public void setIsSeparatePaperReturn(Boolean isSeparatePaperReturn) {
		this.isSeparatePaperReturn = isSeparatePaperReturn;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}



	
}
